#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 6. Text Editors

- Prev

  Ed-1.20.1

- Next

  Gedit-46.2

- Up
- Home

# Emacs-29.2

## Introduction to Emacs

The Emacs package contains an extensible, customizable, self-documenting real-time display editor.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/emacs/emacs-29.2.tar.xz

- Download MD5 sum: 0690e2fb9b9f271652f19ddccf1dd3f3

- Download size: 50 MB

- Estimated disk space required: 526 MB

- Estimated build time: 0.7 SBU (Using parallelism=4)

### Emacs Dependencies

#### Recommended

HarfBuzz-8.3.0, giflib-5.2.1, GnuTLS-3.8.3, jansson-2.14, and libtiff-4.6.0

#### Optional

a graphical environment, alsa-lib-1.2.11, Cairo-1.18.0, dbus-1.14.10, gobject-introspection-1.78.1, gsettings-desktop-schemas-45.0, GPM-1.20.7, GTK+-3.24.41, ImageMagick-7.1.1-28, Little CMS-2.14, libjpeg-turbo-3.0.1, libpng-1.6.42, librsvg-2.57.1, libseccomp-2.5.5, libwebp-1.3.2, libxml2-2.12.5, MIT Kerberos V5-1.21.2, SQLite-3.45.1, Valgrind-3.22.0, intlfonts, libungif, libotf, and m17n-lib - to correctly display such complex scripts as Indic and Khmer, and also for scripts that require Arabic shaping support (Arabic and Farsi), mailutils, and libXaw3d

## Installation of Emacs

Install Emacs by running the following commands:

    ./configure --prefix=/usr &&
    make

This package does not come with a test suite. If make succeeds, you can test the result by running src/emacs -Q, which is the program that will be installed, with its auxiliary files. This should start and display the application opening screen.

Now, as the `root` user:

    make install &&
    chown -v -R root:root /usr/share/emacs/29.2 &&
    rm -vf /usr/lib/systemd/user/emacs.service

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and you can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme`. To perform the update you must have GTK+-3.24.41 installed and issue the following command as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor

## Command Explanations

`--with-imagemagick`: Use this if you have installed ImageMagick-7.1.1-28 and wish to link against it.

`--with-gif=no`: Use this if you have not installed giflib-5.2.1 or libungif.

`--with-tiff=no`: Use this if you have not installed libtiff-4.6.0.

`--with-gnutls=no`: Use this if you have not installed GnuTLS-3.8.3.

`--without-harfbuzz`: Use this if you have not installed HarfBuzz-8.3.0.

`--with-json=no`: Use this if you have not installed jansson-2.14.

## Contents

Installed Programs: ctags, ebrowse, emacs (symlink), emacs-29.2, emacsclient, and etags
Installed Libraries: None
Installed Directories: /usr/libexec/emacs and /usr/share/emacs

### Short Descriptions

ctags | creates cross-reference tagfile database files for source code
ebrowse | permits browsing of C++ class hierarchies from within emacs
emacs | is an editor
emacsclient | attaches an emacs session to an already running emacsserver instance
etags | is another program to generate source code cross-reference tagfiles

- Prev

  Ed-1.20.1

- Next

  Gedit-46.2

- Up
- Home